7.3. Configuración de Postfix
Anterior | Capítulo 7. Configuración | Siguiente

## 7.3. Configuración de Postfix

A continuación se verá la forma de configurar Postfix. La idea es hacer que en los puertos por defecto (25 y 465 - en caso de tener configurado Postfix en modo SSL), Postfix pase todos los correos electrónicos por amavisd-new. Luego se creará un proceso SMTP que únicamente se ejecute en la interfaz loopback (127.0.0.1) en el puerto 10025; dicho proceso pasará el correo a los usuarios sin hacer uso de amavisd-new. Esto es necesario para evitar que los mensajes entren en un bucle sin fin.

Para conseguir esto, se ha de añadir la siguiente línea al archivo `/etc/postfix/main.cf`:

    content_filter=smtp-amavis:[localhost]:10024

Y en `/etc/postfix/master.cf`:

    smtp-amavis	unix	-	-	y	-	2	smtp
    	-o smtp_data_done_timeout=1200
    	-o disable_dns_lookups=yes
    127.0.0.1:10025	inet	n	-	y	-	-	smtpd
    	-o content_filter=
    	-o local_recipient_maps=
    	-o relay_recipient_maps=
    	-o smtpd_restriction_classes=
    	-o smtpd_client_restrictions=
    	-o smtpd_helo_restrictions=
    	-o smtpd_sender_restrictions=
    	-o smtpd_recipient_restrictions=permit_mynetworks,reject
    	-o mynetworks=127.0.0.0/8
    	-o strict_rfc821_envelopes=yes

| Línea que indica el filtro para AMaVis
| Línea que crea el servidor SMTP local, por el pasarán los correos sin ser filtrados

| Importante
Cuando añada las líneas al archivo `/etc/postfix/master.cf`, asegúrese de que al final de las líneas no existan espacios en blanco.

Ahora sólo queda reiniciar los demonios postfix, amavisd-new, clamd, clamav-freshclan y spamassassin y comprobar que todo funciona. Las pruebas de funcionamiento se realizarán en el siguiente capítulo (Capítulo 8, Pruebas de funcionamiento).

Anterior | Subir | Siguiente
7.2. Configuración de amavis-new | Inicio | Capítulo 8. Pruebas de funcionamiento